Index: trunk/data/konvert/postnas_0.6/konv_batch.sh
===================================================================
--- trunk/data/konvert/postnas_0.6/konv_batch.sh	(revision 113)
+++ trunk/data/konvert/postnas_0.6/konv_batch.sh	(revision 123)
@@ -31,4 +31,8 @@
 ##  ##  2011-09-20 Verarbeiten der delete-Eintraege bei Aktualisierung.
 ##                 Siehe http://trac.wheregroup.com/PostNAS/wiki/SchrittfuerSchritt
+##  ##  2011-11-04 Verarbeitung OHNE Parameter 3 Datenbank-User und  4 DB-Passwort.
+##                 Berechtigung regeln über "/etc/postgresql/[version]/main/pg_hba.conf"
+##                 Dort Zeile: "local  [db]  [user]  ident sameuser"
+##       Alt:    # PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432"
 ##
 ## Konverter:   /opt/gdal-1.9/bin/ = GDAL 1.9 / PostNAS 0.6
@@ -43,6 +47,7 @@
 DBNAME=$2
 DBUSER=$3
-DBPASS=$4
-UPD=$5
+#DBPASS=$4
+#UPD=$5
+UPD=$4
 ##
 ## Fehlerprotokoll
@@ -63,19 +68,19 @@
 fi
 ##
-if [ $DBUSER = "" ]
-then
-	echo "Parameter 3 'DB-User' ist leer"
-	exit 3
-fi
+# if [ $DBUSER = "" ]
+# then
+# 	echo "Parameter 3 'DB-User' ist leer"
+# 	exit 3
+# fi
 ##
-if [ $DBPASS = "" ]
-then
-	echo "Parameter 4 'DB-Passwort' ist leer"
-	#exit 4
-	echo "Datenbank-Passwort?  (wird nicht angezeigt)"
-	stty -echo
-	read DBPASS
-	stty echo
-fi
+# if [ $DBPASS = "" ]
+# then
+# 	echo "Parameter 4 'DB-Passwort' ist leer"
+# 	#exit 4
+# 	echo "Datenbank-Passwort?  (wird nicht angezeigt)"
+# 	stty -echo
+# 	read DBPASS
+# 	stty echo
+#fi
 ##
 if [ $UPD = "a" ]
@@ -95,5 +100,5 @@
   echo "Datenbank-Name . . = ${DBNAME}"
   echo "Ordner NAS-Daten . = ${ORDNER}"
-  echo "Datenbank-User . . = ${DBUSER}"
+# echo "Datenbank-User . . = ${DBUSER}"
   echo "Verarbeitungs-Modus= ${verarb}"
   echo " "
@@ -103,5 +108,6 @@
   ls
   # Alte delete-Eintraege (vorangegangener Abbruch?) loeschen, oder abarbeiten?
-  echo 'TRUNCATE table "delete";' | psql $con -U ${DBUSER}
+# echo 'TRUNCATE table "delete";' | psql $con  -U ${DBUSER}
+  echo 'TRUNCATE table "delete";' | psql $con 
   #
 # for zipfile in ${ORDNER}/*.xml.zip ; do 
@@ -125,5 +131,5 @@
         # E R S T L A D E N
         /opt/gdal-1.9/bin/ogr2ogr -f "PostgreSQL" -append  ${update}  -skipfailures \
-           PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432" \
+           PG:"dbname=${DBNAME} host=localhost port=5432" \
            -a_srs EPSG:25832  ${nasdatei}  ${layer}  2>> $errprot
         # Abbruch bei Fehler?
@@ -134,5 +140,5 @@
         echo "- 1. Nur delete-Layer auswerten" 
         /opt/gdal-1.9/bin/ogr2ogr -f "PostgreSQL" -append  ${update}  -skipfailures \
-           PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432" \
+           PG:"dbname=${DBNAME} host=localhost port=5432" \
            -a_srs EPSG:25832  ${nasdatei}  delete  2>> $errprot
         nasresult=$?
@@ -141,9 +147,9 @@
         # Durch die Funktion 'deleteFeature' in der Datenbank die delete-Objekte abarbeiten
         echo "- 1a. delete-Layer abarbeiten:"
-        psql $con -U ${DBUSER}  < /data/konvert/postnas_0.6/delete.sql
+        psql $con  < /data/konvert/postnas_0.6/delete.sql
         #
         echo "- 2. alle Layer auswerten"
         /opt/gdal-1.9/bin/ogr2ogr -f "PostgreSQL" -append  ${update}  -skipfailures \
-          PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432" \
+          PG:"dbname=${DBNAME} host=localhost port=5432" \
           -a_srs EPSG:25832  ${nasdatei}  ${layer}  2>> $errprot
         nasresult=$?
@@ -151,5 +157,5 @@
         #
         echo "- 2a. delete-Layer nochmals leoeschen:"
-        echo 'TRUNCATE table "delete";' | psql $con -U ${DBUSER}
+        echo 'TRUNCATE table "delete";' | psql $con 
       fi
     done
@@ -163,7 +169,7 @@
 ##
   echo "** Optimierte Nutzungsarten neu Laden:"
-  psql -p 5432 -d ${DBNAME}  -U ${DBUSER}  < /data/konvert/postnas_0.6/nutzungsart_laden.sql
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/nutzungsart_laden.sql
 ##
   echo "** Optimierte Gemeindetabelle neu Laden:"
-  psql -p 5432 -d ${DBNAME}  -U ${DBUSER}  < /data/konvert/postnas_0.6/gemeinden_laden.sql
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/gemeinden_laden.sql
 ##
